Vector::BLF::GpsEvent(3)

NAME
Vector::BLF::GpsEvent - GPS_EVENT.

SYNOPSIS

#include <GpsEvent.h>

Inherits Vector::BLF::ObjectHeader.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint32_t flags {}
uint16_t channel {}
channel of event
uint16_t reservedGpsEvent {}
double latitude {}
double longitude {}
double altitude {}
double speed {}
double course {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

  Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

Detailed Description

GPS_EVENT. GPS event.

Member Function Documentation

  uint32_t Vector::BLF::GpsEvent::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::GpsEvent::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::GpsEvent::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  double Vector::BLF::GpsEvent::altitude {}
Altitude in meters, measured above sea line.

  uint16_t Vector::BLF::GpsEvent::channel {}

channel of event GPS channel the GPS event was sent.

  double Vector::BLF::GpsEvent::course {}
Current driving course, possible values reach from -180 to 180. A value of 0 means driving north, 90 means driving east, -90 means driving west, -180 and 180 mean driving south.

  uint32_t Vector::BLF::GpsEvent::flags {}
Not used, must be 0.

  double Vector::BLF::GpsEvent::latitude {}
Latitude, possible values reach from -180 to 180.

Negative values are western hemisphere, positive values are eastern hemisphere.

  double Vector::BLF::GpsEvent::longitude {}
Longitude, possible values reach from -90 to 90. Negative values are Southern hemisphere, positive values are northern hemisphere.

  uint16_t Vector::BLF::GpsEvent::reservedGpsEvent {}
Reserved, must be 0.

  double Vector::BLF::GpsEvent::speed {}
Current vehicle speed in km/h.

Author

Generated automatically by Doxygen for Vector BLF from the source code.